from django.db import models


class SiteSettings(models.Model):
    PRETTY_NAME = "Réglages du site"
    allow_upload = models.BooleanField(
        verbose_name="Autoriser l'upload de vidéos.",
        default=False,
    )
    home_message = models.TextField(
        verbose_name="Message de la page d'accueil",
        default=""
    )
    site_logo = models.ImageField(
        verbose_name="Logo du site",
        null=True,
        blank=True
    )
    event_poster = models.ImageField(
        verbose_name="Affiche de l'événement",
        null=True,
        blank=True
    )

    @classmethod
    def get_settings(cls):
        return cls.objects.get_or_create()[0]


class StaticPage(models.Model):
    name = models.CharField(
        max_length=255,
        verbose_name="Titre de la catégorie",
    )
    text = models.TextField(
        verbose_name="Texte de la catégorie"
    )
