from django.urls import path, include
from . import views

app_name = 'users'
urlpatterns = [
    path(
        'user/new',
        views.create_user,
        name='new-user'
    ),
    path(
        'user/',
        include('django.contrib.auth.urls')
    ),
    path(
        'school/new',
        views.create_school,
        name='new-school'
    ),
    path(
        'school/<int:pk>',
        views.school,
        name='school',
    ),
    path(
        'school/<int:pk>/edit_phone',
        views.edit_phone,
        name='edit-school-phone'
    ),
    path(
        'school/<int:pk>/edit_name',
        views.edit_name,
        name='edit-school-name'
    ),
    path(
        'school/<int:pk>/edit_mail',
        views.edit_mail,
        name='edit-school-mail'
    ),
    path(
        'school/<int:pk>/jury_1',
        views.edit_jury_1,
        name='edit-jury-1'
    ),
    path(
        'school/<int:pk>/jury_2',
        views.edit_jury_2,
        name='edit-jury-2'
    ),
    path(
        'school/<int:pk>/validate',
        views.validate,
        name='validate',
    )
]
